.article span.code {
    padding: 5px 10px;

    border: 1px solid #a1b2d7;
    border-radius: 8px;

    font-family: monospace;
    word-wrap: break-word;
    hyphens: auto;
    background-color: rgba(255, 255, 255, 0.3);
}

.article span.highlight {
    padding: 5px 10px;

    border-radius: 8px;
}

.article blockquote {
    position: relative;

    padding: 5px 0 5px 19px;

    font-style: italic;
}

.article blockquote .border {
    position: absolute;

    top: 0;
    left: 0;

    width: 4px;
    height: 100%;

    border-radius: 2px;
    background-color: #a1b2d7;
}

.article ul {
    padding-left: 20px;

    list-style-type: disc;
}

.article ul li {
    display: list-item;
    
    margin-top: 5px;
}

.article ul li::marker {
    color: #7488b2;
}

.article ol {
    padding-left: 23px;

    list-style-type: decimal;
}

.article ol li {
    display: list-item;

    margin-top: 5px;
}

.article .checkbox {
    margin-top: 10px;
}

.article .checkbox:first-child {
    margin-top: 0;
}

.article .checkbox label {
    display: flex;
}

.article .checkbox label input[type=checkbox] {
    width: 25px;
    margin-top: 7px;
}

.article .checkbox label .text {
    flex: 1;
}

.article .callout {
    display: flex;
    flex-align: flex-start;

    margin-top: 20px;
    padding: 20px;

    border-radius: 20px;
    border: 2px solid rgba(0, 0, 0, 0.1);
    background-color: rgba(255, 255, 255, 0.3);
}

.article .callout:first-child {
    margin-top: 0;
}

.article .callout .icon {
    position: relative;

    width: 30px;

    color: rgba(0, 0, 0, 0.8);
}

.article .callout .icon svg {
    position: absolute;

    top: -5px;
    left: -5px;

    display: block;
    width: 25px;
}

.article .callout .text {
    flex: 1;
}

.article .codeBlock {
    margin-top: 20px;
    padding: 20px;

    border-radius: 20px;
    border: 2px solid rgba(0, 0, 0, 0.1);
    background-color: rgba(255, 255, 255, 0.3);
}

.article .codeBlock .codeType {
    display: inline-block;

    height: 30px;
    line-height: 30px;

    padding: 0 10px;

    border-radius: 15px;
    background-color: #c2d4f6;
    font-size: 80%;
}

.article .codeBlock:first-child {
    margin-top: 0;
}

.article .codeBlock .code {
    display: flex;
    flex-align: flex-start;

    margin-top: 10px;
    
    font-family: monospace;
    white-space-collapse: preserve;
    text-wrap-mode: nowrap;
    overflow: hidden;
}

.article .codeBlock .code .lines {
    width: 25px;
    margin-right: 15px;

    text-align: right;
    color: rgba(0, 0, 0, 0.3);
}

.article .codeBlock .code .text {
    flex: 1;
}
